package cn.ibizhub.demo.demo.domain;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.sql.Timestamp;

/**
 * 实体[DBET] 数据对象
 */
@Entity(name = "t_dbet")
@Data
public class DBET{

    @Column(name = "dbetname"
            ,nullable = true
            ,columnDefinition="VARCHAR (200) DEFAULT null Comment 'DBET名称'"
    )
    private String dbetname;
    @Column(name = "createman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '建立人'"
    )
    private String createman;
    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid")
    private String dbetid;
    @Column(name = "createdate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '建立时间'"
    )
    private Timestamp createdate;
    @Column(name = "updatedate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '更新时间'"
    )
    private Timestamp updatedate;
    @Column(name = "updateman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '更新人'"
    )
    private String updateman;
    @Column(name = "sex"
            ,nullable = true
            ,columnDefinition="VARCHAR (200) DEFAULT null Comment '性别'"
    )
    private String sex;
    @Column(name = "age"
            ,nullable = true
            ,columnDefinition="DECIMAL   DEFAULT '10' Comment '年龄'"
    )
    private Double age;
    @Column(name = "money"
            ,nullable = true
            ,columnDefinition="FLOAT (5,3) DEFAULT null Comment '钱'"
    )
    private Double money;


    @Override
    public String toString() {

        return "dbetname=" +dbetname+","+"createman=" +createman+","+"dbetid=" +dbetid+","+"createdate=" +createdate+","+"updatedate=" +updatedate+","+"updateman=" +updateman+","+"sex=" +sex+","+"age=" +age+","+"money=" +money ;
    }

}
