package cn.ibizhub.demo.demo.domain;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.sql.Timestamp;

/**
 * 实体[MANYET] 数据对象
 */
@Entity(name = "t_manyet")
@Data
public class MANYET{

    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid")
    private String manyetid;
    @Column(name = "manyetname"
            ,nullable = true
            ,columnDefinition="VARCHAR (200) DEFAULT null Comment '关系从实体名称'"
    )
    private String manyetname;
    @Column(name = "createdate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '建立时间'"
    )
    private Timestamp createdate;
    @Column(name = "createman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '建立人'"
    )
    private String createman;
    @Column(name = "updateman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '更新人'"
    )
    private String updateman;
    @Column(name = "updatedate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '更新时间'"
    )
    private Timestamp updatedate;

    @ManyToOne
    @JoinColumn(name="oneetid",foreignKey = @ForeignKey(name = "DER1N_MANYET_ONEET_ONEETID"))
    private ONEET oneetid;

    @Override
    public String toString() {

        return "manyetid=" +manyetid+","+"manyetname=" +manyetname+","+"createdate=" +createdate+","+"createman=" +createman+","+"updateman=" +updateman+","+"updatedate=" +updatedate ;
    }

}
