package cn.ibizhub.demo.demo.domain;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.sql.Timestamp;

/**
 * 实体[MASTERONEET] 数据对象
 */
@Entity(name = "t_masteroneet")
@Data
public class MASTERONEET{

    @Column(name = "masteroneetname"
            ,nullable = true
            ,columnDefinition="VARCHAR (200) DEFAULT null Comment '一对一主实体名称'"
    )
    private String masteroneetname;
    @Column(name = "createman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '建立人'"
    )
    private String createman;
    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid")
    private String masteroneetid;
    @Column(name = "updatedate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '更新时间'"
    )
    private Timestamp updatedate;
    @Column(name = "createdate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '建立时间'"
    )
    private Timestamp createdate;
    @Column(name = "updateman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '更新人'"
    )
    private String updateman;


    @OneToOne(
            mappedBy = "slaveoneetid",
            cascade = CascadeType.ALL,
            orphanRemoval = true,
            fetch = FetchType.LAZY
    )
    private SLAVEONEET slaveoneets;

    public void addSLAVEONEET(SLAVEONEET slaveoneet) {
        slaveoneet.setSlaveoneetid( this );
        this.slaveoneets = slaveoneet;
    }

    public void removeSLAVEONEET() {
        if ( slaveoneets != null ) {
            slaveoneets.setSlaveoneetid( null );
            this.slaveoneets = null;
        }
    }
    @Override
    public String toString() {

        return "masteroneetname=" +masteroneetname+","+"createman=" +createman+","+"masteroneetid=" +masteroneetid+","+"updatedate=" +updatedate+","+"createdate=" +createdate+","+"updateman=" +updateman ;
    }

}
