package cn.ibizhub.demo.demo.domain;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.sql.Timestamp;

/**
 * 实体[ONEET] 数据对象
 */
@Entity(name = "t_oneet")
@Data
public class ONEET{

    @Column(name = "updatedate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '更新时间'"
    )
    private Timestamp updatedate;
    @Column(name = "createman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '建立人'"
    )
    private String createman;
    @Id
    @GeneratedValue(generator = "uuid")
    @GenericGenerator(name = "uuid", strategy = "uuid")
    private String oneetid;
    @Column(name = "updateman"
            ,nullable = false
            ,columnDefinition="VARCHAR (60) DEFAULT null Comment '更新人'"
    )
    private String updateman;
    @Column(name = "createdate"
            ,nullable = false
            ,columnDefinition="DATETIME   DEFAULT null Comment '建立时间'"
    )
    private Timestamp createdate;
    @Column(name = "oneetname"
            ,nullable = true
            ,columnDefinition="VARCHAR (200) DEFAULT null Comment '关系主实体名称'"
    )
    private String oneetname;


    @OneToMany(mappedBy = "oneetid", cascade = CascadeType.ALL, orphanRemoval = true)
    private List <MANYET> manyets = new ArrayList<>();

    public void addMANYET(MANYET manyet) {
        manyets.add( manyet );
        manyet.setOneetid( this );
    }

    public void removeMANYET(MANYET manyet) {
        manyets.remove( manyet );
        manyet.setOneetid( null );
    }
    @Override
    public String toString() {

        return "updatedate=" +updatedate+","+"createman=" +createman+","+"oneetid=" +oneetid+","+"updateman=" +updateman+","+"createdate=" +createdate+","+"oneetname=" +oneetname ;
    }

}
